Subject: Ticket Assigned - late delivery / 9562979652
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 31 Mar 2022 05:38:21 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery / 9562979652 Rodrigo Rodriguez                    Hi           09:26 AM, 31st Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:26 AM, 31st Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:26 AM, 31st Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:26 AM, 31st Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:26 AM, 31st Mar                   Ahmed                   Hi this is Ahmed how can I help you today            09:26 AM, 31st Mar                     Rodrigo Rodriguez                    Hello Ahmed           09:26 AM, 31st Mar                     Rodrigo Rodriguez                    My order number is 9562979652           09:27 AM, 31st Mar                     Rodrigo Rodriguez                    I bought it and items should be delivered on Mar 28, 2022 however up to now it has not been delivered           09:28 AM, 31st Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           09:37 AM, 31st Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4103496